Subject: bug#48764: mini-buffer completion

From: [email-masked]
Date: Wed, 2 Jun 2021 01:00:36 +0200

> Sent: Wednesday, June 02, 2021 at 10:50 AM
> From: "Basil L. Contovounesios" <[email-masked]>
> To: [email-masked]
> Cc: "Lars Ingebrigtsen" <[email-masked]>, [email-masked]
> Subject: Re: bug#48764: mini-buffer completion
>
> [email-masked] writes:
>
> >> Sent: Wednesday, June 02, 2021 at 8:46 AM
> >> From: "Basil L. Contovounesios" <[email-masked]>
> >> To: [email-masked]
> >> Cc: "Lars Ingebrigtsen" <[email-masked]>, [email-masked]
> >> Subject: Re: bug#48764: mini-buffer completion
> >>
> >> [email-masked] writes:
> >>
> >> > How about mini-buffer entries that require user writing a string.  How would
> >> > a user figure out what to do?
> >> >
> >> > Is there any information about basic navigation keys for mini-buffer input in the manual?
> >>
> >> Does the node (info "(emacs) Minibuffer History")[1] in the Emacs manual
> >> count?  FWIW, it can be found through index entries such as 'minibuffer
> >> history', 'M-n (minibuffer history)', 'DOWN (minibuffer history)', etc.
> >
> > I would like to see some indication of the type of input it requires.
>
> How does the type of input it requires differ from the type of input
> required in any other Emacs buffer?

It seems to me that you got to know exactly what to do, and I tend to forget
when I do not use a feature for some time.

> > Perhaps that information can go on the mode-line (for instance some type
> > of designated coloured mouse button for mini-buffer information).
> >
> >> For more details on minibuffer keymaps there's also
> >> (info "(emacs) Minibuffer Maps")[2], found e.g. via the index entry
> >> 'C-h r i minibuffer key TAB RET'.
> >>
> >> [1]: https://www.gnu.org/software/emacs/manual/html_node/emacs/Minibuffer-History.html
> >> [2]: https://www.gnu.org/software/emacs/manual/html_node/emacs/Minibuffer-Maps.html
> >>
> >> HTH,
>
> --
> Basil
>